import { OTLPTraceExporter } from '@opentelemetry/exporter-trace-otlp-http';
import { OTLPMetricExporter } from '@opentelemetry/exporter-metrics-otlp-http';
import { ExportResult } from '@opentelemetry/core';
export type TraceExporterConfig = ConstructorParameters<typeof OTLPTraceExporter>[0];
export type MetricExporterConfig = ConstructorParameters<typeof OTLPMetricExporter>[0];
export declare class OTLPTraceExporterBrowserWithXhrRetry extends OTLPTraceExporter {
    constructor(config?: TraceExporterConfig);
    export(items: any, resultCallback: (result: ExportResult) => void): void;
}
export declare class OTLPMetricExporterBrowser extends OTLPMetricExporter {
    constructor(config?: MetricExporterConfig);
    export(items: any, resultCallback: (result: ExportResult) => void): void;
}
